%global         momorel 1

Name:           perl-Type-Tie
Version:        0.009
Release:        %{momorel}m%{?dist}
Summary:        Tie a variable to a type constraint
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Type-Tie/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Type-Tie-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Hash-FieldHash
BuildRequires:  perl-Test-Fatal
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Type-Tiny >= 0.004
Requires:       perl-Hash-FieldHash
Requires:       perl-Type-Tiny >= 0.004
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module exports a single function: ttie. ttie ties a variable to a
type constraint, ensuring that whatever values stored in the variable
will conform to the type constraint. If the type constraint has
coercions, these will be used if necessary to ensure values assigned to
the variable conform.

%prep
%setup -q -n Type-Tie-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING COPYRIGHT CREDITS dist.ini doap.ttl LICENSE META.json README
%{perl_vendorlib}/Type/Tie.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.009-1m)
- update to 0.009

* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-2m)
- rebuild against perl-5.20.0

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-1m)
- update to 0.007

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.18.2

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
